Warehouse
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE |
List all warehouse expressions
Create, read, update and delete saved HogQL expressions that appear as virtual fields on tables.
Required API key scopes
warehouse_view:readQuery parameters
- limitinteger
- offsetinteger
- searchstring
Response
Example request
GET /api /projects /:project_id /warehouse_expressionsExample response
Status 200
RESPONSE
Create warehouse expressions
Create, read, update and delete saved HogQL expressions that appear as virtual fields on tables.
Required API key scopes
warehouse_view:writeRequest parameters
- deletedboolean | null
- table_namestring
- field_namestring
- expressionstring
- connection_idstring | null
Response
Example request
POST /api /projects /:project_id /warehouse_expressionsExample response
Status 201
RESPONSE
Retrieve warehouse expressions
Create, read, update and delete saved HogQL expressions that appear as virtual fields on tables.
Required API key scopes
warehouse_view:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /warehouse_expressions /:idExample response
Status 200
RESPONSE
Update warehouse expressions
Create, read, update and delete saved HogQL expressions that appear as virtual fields on tables.
Required API key scopes
warehouse_view:writePath parameters
- idstring
Request parameters
- deletedboolean | null
- table_namestring
- field_namestring
- expressionstring
- connection_idstring | null
Response
Example request
PATCH /api /projects /:project_id /warehouse_expressions /:idExample response
Status 200
RESPONSE
Delete warehouse expressions
Create, read, update and delete saved HogQL expressions that appear as virtual fields on tables.
Required API key scopes
warehouse_view:writePath parameters
- idstring
Example request
DELETE /api /projects /:project_id /warehouse_expressions /:id